class FeeModel {
  List<Records> records;
  int total;
  int size;
  int current;
  bool searchCount;
  int pages;

  FeeModel(
      {this.records,
      this.total,
      this.size,
      this.current,
      this.searchCount,
      this.pages});

  FeeModel.fromJson(Map<String, dynamic> json) {
    if (json['records'] != null) {
      records = new List<Records>();
      json['records'].forEach((v) {
        records.add(new Records.fromJson(v));
      });
    }
    total = json['total'];
    size = json['size'];
    current = json['current'];
    searchCount = json['searchCount'];
    pages = json['pages'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    if (this.records != null) {
      data['records'] = this.records.map((v) => v.toJson()).toList();
    }
    data['total'] = this.total;
    data['size'] = this.size;
    data['current'] = this.current;
    data['searchCount'] = this.searchCount;
    data['pages'] = this.pages;
    return data;
  }
}

class Records {
  int id;
  int createTime;
  String createBy;
  int updateTime;
  String updateBy;
  String name;
  double price;
  int period;
  int examineFlag;
  String notExamineReason;

  Records(
      {this.id,
      this.createTime,
      this.createBy,
      this.updateTime,
      this.updateBy,
      this.name,
      this.price,
      this.period,
      this.examineFlag,
      this.notExamineReason});

  Records.fromJson(Map<String, dynamic> json) {
    id = json['id'];
    createTime = json['createTime'];
    createBy = json['createBy'];
    updateTime = json['updateTime'];
    updateBy = json['updateBy'];
    name = json['name'];
    price = json['price'];
    period = json['period'];
    examineFlag = json['examineFlag'];
    notExamineReason = json['notExamineReason'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['id'] = this.id;
    data['createTime'] = this.createTime;
    data['createBy'] = this.createBy;
    data['updateTime'] = this.updateTime;
    data['updateBy'] = this.updateBy;
    data['name'] = this.name;
    data['price'] = this.price;
    data['period'] = this.period;
    data['examineFlag'] = this.examineFlag;
    data['notExamineReason'] = this.notExamineReason;
    return data;
  }
}